package com.brilliance.isc.common.trnism.service;

import com.brilliance.isc.bo.Cbb;
import com.brilliance.isc.bo.Trn;
import com.brilliance.isc.common.trnmod.vo.TrnmodVo;
import com.brilliance.isc.common.wfmmod.vo.WfmmodVo;

import java.util.Map;

public interface TrnismService {

     void wfmInitNewEntry(WfmmodVo wfmmodVo);

     void wfmAdd_EXEDAT(TrnmodVo trnmodVo);

     void wfmAdd_Compliance(WfmmodVo wfmmodVo, TrnmodVo trnmodVo);

     void setWorkFlow(TrnmodVo trnmodVo);

     void setRelRequest(Trn trn, TrnmodVo trnmodVo, Map<String, Cbb> cbsMap);

     void wfmAdd_Release(TrnmodVo trnmodVo);

     void wfmAdd_Qin(String cortypsub);

     void wfmAdd_Swift(String cortypsub);

     void wfmAdd_ELC(String cortypsub);

     void wfmAdd_RTGS_Plus(String cortypsub);

     void wfmAdd_Target(String cortypsub);

     void wfmAdd_FAX(String cortypsub);

     void wfmAdd_Telex(String cortypsub);

     void wfmAdd_email(String cortypsub);

     void wfmAdd_CMT100(String cortypsub);

     void wfmAdd_HVPS(String cortypsub);

     void wfmAdd_CIPS(String cortypsub);

     void wfmAdd_Tradeconnect(String cortypsub);

     void wfmAdd_ERX(String cortypsub);

     void wfmAdd_YPTGNZ(String cortypsub);

     void wfmAdd_FMT(String cortypsub);

     void wfmAdd_LimitCheck(WfmmodVo wfmmod, TrnmodVo trnmod);


}
